- 积分
- 986
- 明经币
- 个
- 注册时间
- 2011-8-19
- 在线时间
- 小时
- 威望
-
- 金钱
- 个
- 贡献
-
- 激情
-
|
Point3d center=new Point3d(-9.39346286010186, 2.86410249509299, 0.0);
vector3d majVec= new Vector3d(1.23087105577724, -1.73142607162663, 0);
Ellipse ell = new Ellipse(center,majVec, Vector3d.ZAxis, 3.20067262646138, 0.0, 6.28318530717959);
Database db = HostApplicationServices.WorkingDatabase;
ObjectId objId = new ObjectId();
using (Transaction tran = db.TransactionManager.StartTransaction())
{
BlockTable bt = tran.GetObject(db.BlockTableId, OpenMode.ForRead) as BlockTable;
BlockTableRecord btr = tran.GetObject(db.CurrentSpaceId, OpenMode.ForWrite) as BlockTableRecord;
objId= btr.AppendEntity(ell );
tran.AddNewlyCreatedDBObject(ell , true);
tran.Commit();
}
代码如上,为什么运行后椭圆并没有显示处理呢??为什么?
|
|